commit 2552e6144a1c151f27867e95eba0d8062853fe99
Author: Matej Zeman <zeman339@gmail.com>
Date:   Mon May 9 21:04:24 2022 +0200

    Changed certain template looks and controls.

diff --git a/server/sql_app/api/auth.py b/server/sql_app/api/auth.py
index cf8aeba..a66baca 100644
--- a/server/sql_app/api/auth.py
+++ b/server/sql_app/api/auth.py
@@ -93,9 +93,9 @@ async def signup(username: str = Form(...), password: str = Form(...), db: Sessi
                     <title>Signup</title>
                 </head>
                 <body>
-                    <h1>Signed in</h1>
+                    <h1>New user created. You can go back to previous page.</h1>
                     <form action="/logs-web" method="get">
-                        <input type="submit" value="Back" />
+                        <input type="submit" value="Home Page" />
                     </form>
                 </body>
             </html>
@@ -107,9 +107,9 @@ async def signup(username: str = Form(...), password: str = Form(...), db: Sessi
                             <title>Signup</title>
                         </head>
                         <body>
-                            <h1>Username taken</h1>
+                            <h1>Username taken. Try to choose different username.</h1>
                             <form action="/logs-web" method="get">
-                                <input type="submit" value="Back" />
+                                <input type="submit" value="Home Page" />
                             </form>
                         </body>
                     </html>
@@ -153,7 +153,10 @@ async def login(username: str = Form(...), password: str = Form(...), db: Sessio
                     <body>
                         <h1>Wrong Username or Password</h1>
                         <form action="/login" method="get">
-                            <input type="submit" value="Back" />
+                            <input type="submit" value="Log again" />
+                        </form>
+                        <form action="/login" method="get">
+                            <input type="submit" value="Home Page" />
                         </form>
                     </body>
                 </html>
@@ -168,9 +171,9 @@ async def login(username: str = Form(...), password: str = Form(...), db: Sessio
             <title>Login</title>
         </head>
         <body>
-            <h1>Logged in</h1>
+            <h1>Now you are logged in, you can continue to previous page.</h1>
             <form action="/logs-web" method="get">
-                <input type="submit" value="Back" />
+                <input type="submit" value="Home Page" />
             </form>
         </body>
     </html>
diff --git a/server/templates/body-devices/body_device_license.html b/server/templates/body-devices/body_device_license.html
index 9c9dee5..d0c1896 100644
--- a/server/templates/body-devices/body_device_license.html
+++ b/server/templates/body-devices/body_device_license.html
@@ -19,7 +19,7 @@
 </form>
 <form action="/body-devices-web-del/{{device.id}}" method="post">
   <label for="b_lic">Licenses:</label>
-  <select id="b_lic" name="b_lic">
+  <select id="b_lic" name="b_lic" >
       {% for license in dev_lic %}
     <option value={{license.id}}>{{license.name}}</option>
       {% endfor %}
diff --git a/server/templates/body-devices/body_devices.html b/server/templates/body-devices/body_devices.html
index 251afd4..b36a923 100644
--- a/server/templates/body-devices/body_devices.html
+++ b/server/templates/body-devices/body_devices.html
@@ -3,7 +3,22 @@
     <title>Devices Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/body-devices-web" method="post">
     <label for="lic">License:</label>
     <input id="lic" name="lic" type="text" list="licenses" value="" placeholder="all">
diff --git a/server/templates/body-devices/body_devices_normal.html b/server/templates/body-devices/body_devices_normal.html
index 84db09c..ece156d 100644
--- a/server/templates/body-devices/body_devices_normal.html
+++ b/server/templates/body-devices/body_devices_normal.html
@@ -3,7 +3,22 @@
     <title>Devices Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/body-devices-web" method="post">
     <label for="lic">License:</label>
     <input id="lic" name="lic" type="text" list="licenses" value="" placeholder="all">
diff --git a/server/templates/devices/devices.html b/server/templates/devices/devices.html
index 7457c96..e2f0bb7 100644
--- a/server/templates/devices/devices.html
+++ b/server/templates/devices/devices.html
@@ -3,7 +3,22 @@
     <title>Devices Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/devices-web" method="post">
     <label for="lic">License:</label>
     <input id="lic" name="lic" type="text" list="licenses" value="" placeholder="all">
diff --git a/server/templates/devices/devices_normal.html b/server/templates/devices/devices_normal.html
index fe35d04..4e0813f 100644
--- a/server/templates/devices/devices_normal.html
+++ b/server/templates/devices/devices_normal.html
@@ -3,7 +3,22 @@
     <title>Devices Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/devices-web" method="post">
     <label for="lic">License:</label>
     <input id="lic" name="lic" type="text" list="licenses" value="" placeholder="all">
diff --git a/server/templates/ld-logs/ldlogs.html b/server/templates/ld-logs/ldlogs.html
index d2793e1..deda9b0 100644
--- a/server/templates/ld-logs/ldlogs.html
+++ b/server/templates/ld-logs/ldlogs.html
@@ -3,7 +3,22 @@
     <title> LD Logs Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/ldlogs-web" method="post">
   <label for="pc">PC:</label>
   <input id="pc" name="pc" type="text" list="pcs" value="" placeholder="all">
diff --git a/server/templates/ld-logs/ldlogs_normal.html b/server/templates/ld-logs/ldlogs_normal.html
index 435b9f6..0487981 100644
--- a/server/templates/ld-logs/ldlogs_normal.html
+++ b/server/templates/ld-logs/ldlogs_normal.html
@@ -3,7 +3,22 @@
     <title> LD Logs Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/ldlogs-web" method="post">
   <label for="pc">PC:</label>
   <input id="pc" name="pc" type="text" list="pcs" value="" placeholder="all">
diff --git a/server/templates/licenses/licenses.html b/server/templates/licenses/licenses.html
index 9b2471d..57a9b61 100644
--- a/server/templates/licenses/licenses.html
+++ b/server/templates/licenses/licenses.html
@@ -3,7 +3,22 @@
     <title>Licenses Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <table>
     <TR>
         <TH>ID</TH>
diff --git a/server/templates/licenses/licenses_normal.html b/server/templates/licenses/licenses_normal.html
index 7b672a1..2f580d4 100644
--- a/server/templates/licenses/licenses_normal.html
+++ b/server/templates/licenses/licenses_normal.html
@@ -3,7 +3,22 @@
     <title>Licenses Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <table>
     <TR>
         <TH>ID</TH>
diff --git a/server/templates/pcs/pcs.html b/server/templates/pcs/pcs.html
index f8897b7..72295e2 100644
--- a/server/templates/pcs/pcs.html
+++ b/server/templates/pcs/pcs.html
@@ -3,7 +3,22 @@
     <title>Pcs Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <table>
     <TR>
         <TH>ID</TH>
diff --git a/server/templates/pcs/pcs_normal.html b/server/templates/pcs/pcs_normal.html
index 3925ad0..b6b6cd5 100644
--- a/server/templates/pcs/pcs_normal.html
+++ b/server/templates/pcs/pcs_normal.html
@@ -3,7 +3,22 @@
     <title>Pcs Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <table>
     <TR>
         <TH>ID</TH>
diff --git a/server/templates/teams/teams.html b/server/templates/teams/teams.html
index 6dc7168..f6945e6 100644
--- a/server/templates/teams/teams.html
+++ b/server/templates/teams/teams.html
@@ -3,7 +3,22 @@
     <title>Teams Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <table>
     <TR>
         <TH>ID</TH>
diff --git a/server/templates/teams/teams_normal.html b/server/templates/teams/teams_normal.html
index 6e21020..d25b5b9 100644
--- a/server/templates/teams/teams_normal.html
+++ b/server/templates/teams/teams_normal.html
@@ -3,7 +3,22 @@
     <title>Teams Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <table>
     <TR>
         <TH>ID</TH>
diff --git a/server/templates/usb-logs/logs.html b/server/templates/usb-logs/logs.html
index c69de25..4f1bb07 100644
--- a/server/templates/usb-logs/logs.html
+++ b/server/templates/usb-logs/logs.html
@@ -3,7 +3,22 @@
     <title>Logs Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -19,23 +34,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/logs-web" method="post">
   <label for="pc">PC:</label>
   <input id="pc" name="pc" type="text" list="pcs" value="" placeholder="all">
diff --git a/server/templates/usb-logs/logs_normal.html b/server/templates/usb-logs/logs_normal.html
index 1a7bf53..aaf52e8 100644
--- a/server/templates/usb-logs/logs_normal.html
+++ b/server/templates/usb-logs/logs_normal.html
@@ -3,7 +3,22 @@
     <title>Logs Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:20px'>
+<b>Your role: {{user}}</b>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -18,23 +33,6 @@
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
-</div>
-<h4>{{user}}</h4>
 <form action="/logs-web" method="post">
   <label for="pc">PC:</label>
   <input id="pc" name="pc" type="text" list="pcs" value="" placeholder="all">
diff --git a/server/templates/users/users.html b/server/templates/users/users.html
index 904942e..dfb9e87 100644
--- a/server/templates/users/users.html
+++ b/server/templates/users/users.html
@@ -3,7 +3,19 @@
     <title>Users Details</title>
 </head>
 <body>
-<div style='float:left'>
+<div style='float:left;padding-right:5px'>
+<form action="/login" method="get">
+    <input type="submit" value="Login" />
+</form>
+</div>
+<div style='float:left;padding-right:5px'>
+<form action="/signup" method="get">
+    <input type="submit" value="Sign Up" />
+</form>
+</div>
+<form action="/logout" method="get">
+    <input type="submit" value="Logout" />
+</form>
 <form action="" method="get">
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
@@ -15,23 +27,10 @@
       <option value="/teams-web">Teams</option>
       <option value="/pcs-web">PCs</option>
       <option value="/licenses-web">Licenses</option>
+      <option value="/users-web">Users</option>
   </select>
   <input type="submit" value="OK">
 </form>
-</div>
-<div style='float:left'>
-<form action="/login" method="get">
-    <input type="submit" value="Login" />
-</form>
-</div>
-<div style='float:left'>
-<form action="/signup" method="get">
-    <input type="submit" value="Sign Up" />
-</form>
-</div>
-<form action="/logout" method="get">
-    <input type="submit" value="Logout" />
-</form>
 <table>
     <TR>
         <TH>ID</TH>