commit 4858e9ee8b1da8db610e920f829d4ae5f1c74d9a
Author: Matej Zeman <zeman339@gmail.com>
Date:   Tue May 3 17:02:35 2022 +0200

    Views navigation fix

diff --git a/server/templates/devices/devicelicense.html b/server/templates/devices/devicelicense.html
index 054c75b..f3780b1 100644
--- a/server/templates/devices/devicelicense.html
+++ b/server/templates/devices/devicelicense.html
@@ -9,7 +9,7 @@
     <p>Product ID: {{device.product_id}}</p>
     <p>Serial Number: {{device.serial_number}}</p>
 </h6>
-<form action="/api/v1/devices-web/{{device.id}}" method="post">
+<form action="/devices-web/{{device.id}}" method="post">
   <label for="lic">Licenses:</label>
   <select id="lic" name="lic">
       {% for license in licenses %}
diff --git a/server/templates/devices/devices.html b/server/templates/devices/devices.html
index b5afad1..4d4bd6e 100644
--- a/server/templates/devices/devices.html
+++ b/server/templates/devices/devices.html
@@ -7,14 +7,14 @@
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
       <option value=""></option>
-      <option value="/api/v1/logs-web">Logs</option>
-      <option value="/api/v1/devices-web">Devices</option>
-      <option value="/api/v1/teams-web">Teams</option>
-      <option value="/api/v1/pcs-web">PCs</option>
+      <option value="/logs-web">Logs</option>
+      <option value="/devices-web">Devices</option>
+      <option value="/teams-web">Teams</option>
+      <option value="/pcs-web">PCs</option>
   </select>
   <input type="submit" value="OK">
 </form>
-<form action="/api/v1/devices-web" method="post">
+<form action="/devices-web" method="post">
     <label for="lic">License:</label>
     <input id="lic" name="lic" type="text" list="licenses" value="" placeholder="all">
     <datalist id="licenses">
@@ -35,7 +35,7 @@
     </TR>
     {% for i in range(devs) %}
     <TR>
-        <TD class="ID"><a href="/api/v1/device-license/{{devices[i].id}}">{{devices[i].id}}</a></TD>
+        <TD class="ID"><a href="/device-license/{{devices[i].id}}">{{devices[i].id}}</a></TD>
         <TD class="Vendor ID">{{devices[i].vendor_id}}</TD>
         <TD class="Product ID">{{devices[i].product_id}}</TD>
         <TD class="Serial Number">{{devices[i].serial_number}}</TD>
@@ -53,7 +53,7 @@
         <TD class="Product ID"></TD>
         <TD class="Serial Number"></TD>
         <TD class="License">
-            <form action="/api/v1/license-create" method="get">
+            <form action="/license-create" method="get">
                 <input type="submit" value="Add">
             </form>
         </TD>
diff --git a/server/templates/licenses/license_create.html b/server/templates/licenses/license_create.html
index a68f7d8..709fb52 100644
--- a/server/templates/licenses/license_create.html
+++ b/server/templates/licenses/license_create.html
@@ -5,7 +5,7 @@
     <title>Create a License</title>
 </head>
 <body>
-<form action="/api/v1/licenses-web" method="post">
+<form action="/licenses-web" method="post">
   <label for="name">Name:</label><br>
   <input type="text" id="name" name="name"><br><br>
     <label for="expdate">Expiration Date</label>
diff --git a/server/templates/licenses/licenses.html b/server/templates/licenses/licenses.html
index e456ab0..477983b 100644
--- a/server/templates/licenses/licenses.html
+++ b/server/templates/licenses/licenses.html
@@ -7,10 +7,10 @@
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
       <option value=""></option>
-      <option value="/api/v1/logs-web">Logs</option>
-      <option value="/api/v1/devices-web">Devices</option>
-      <option value="/api/v1/teams-web">Teams</option>
-      <option value="/api/v1/pcs-web">PCs</option>
+      <option value="/logs-web">Logs</option>
+      <option value="/devices-web">Devices</option>
+      <option value="/teams-web">Teams</option>
+      <option value="/pcs-web">PCs</option>
   </select>
   <input type="submit" value="OK">
 </form>
diff --git a/server/templates/pcs/pcs.html b/server/templates/pcs/pcs.html
index 3b0a2eb..9b7c168 100644
--- a/server/templates/pcs/pcs.html
+++ b/server/templates/pcs/pcs.html
@@ -7,10 +7,10 @@
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
       <option value=""></option>
-      <option value="/api/v1/logs-web">Logs</option>
-      <option value="/api/v1/devices-web">Devices</option>
-      <option value="/api/v1/teams-web">Teams</option>
-      <option value="/api/v1/pcs-web">PCs</option>
+      <option value="/logs-web">Logs</option>
+      <option value="/devices-web">Devices</option>
+      <option value="/teams-web">Teams</option>
+      <option value="/pcs-web">PCs</option>
   </select>
   <input type="submit" value="OK">
 </form>
@@ -23,7 +23,7 @@
     </TR>
     {% for pc in pcs %}
     <TR>
-        <TD class="ID"><a href="/api/v1/pc-team/{{pc.id}}">{{pc.id}}</a></TD>
+        <TD class="ID"><a href="/pc-team/{{pc.id}}">{{pc.id}}</a></TD>
         <TD class="Vendor ID">{{pc.username}}</TD>
         <TD class="Product ID">{{pc.hostname}}</TD>
         {% if pc.team == None %}
diff --git a/server/templates/pcs/pcteam.html b/server/templates/pcs/pcteam.html
index 8559cbc..eebc129 100644
--- a/server/templates/pcs/pcteam.html
+++ b/server/templates/pcs/pcteam.html
@@ -8,7 +8,7 @@
 <h6><p>Username: {{pc.username}}</p>
     <p>Hostname: {{pc.hostname}}</p>
 </h6>
-<form action="/api/v1/pcs-web/{{pc.id}}" method="post">
+<form action="/pcs-web/{{pc.id}}" method="post">
   <label for="team">Teams:</label>
   <select id="team" name="team">
       {% for team in teams %}
diff --git a/server/templates/teams/team_create.html b/server/templates/teams/team_create.html
index 3ae1c25..16dcc0a 100644
--- a/server/templates/teams/team_create.html
+++ b/server/templates/teams/team_create.html
@@ -5,7 +5,7 @@
     <title>Create a Team</title>
 </head>
 <body>
-<form action="/api/v1/teams-web" method="post">
+<form action="/teams-web" method="post">
   <label for="name">Name:</label><br>
   <input type="text" id="name" name="name"><br><br>
   <input type="submit" value="Submit">
diff --git a/server/templates/teams/teams.html b/server/templates/teams/teams.html
index 644f6d9..f3fe57a 100644
--- a/server/templates/teams/teams.html
+++ b/server/templates/teams/teams.html
@@ -7,10 +7,10 @@
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
       <option value=""></option>
-      <option value="/api/v1/logs-web">Logs</option>
-      <option value="/api/v1/devices-web">Devices</option>
-      <option value="/api/v1/teams-web">Teams</option>
-      <option value="/api/v1/pcs-web">PCs</option>
+      <option value="/logs-web">Logs</option>
+      <option value="/devices-web">Devices</option>
+      <option value="/teams-web">Teams</option>
+      <option value="/pcs-web">PCs</option>
   </select>
   <input type="submit" value="OK">
 </form>
@@ -26,7 +26,7 @@
     </TR>
     {% endfor %}
 </table>
-<form action="/api/v1/team-create" method="get">
+<form action="/team-create" method="get">
     <input type="submit" value="Add">
 </form>
 </body>
diff --git a/server/templates/usb-logs/logs.html b/server/templates/usb-logs/logs.html
index 722c811..ff75863 100644
--- a/server/templates/usb-logs/logs.html
+++ b/server/templates/usb-logs/logs.html
@@ -7,14 +7,14 @@
   <label for="view">Choose view:</label>
   <select id="view" name="view" onchange="this.form.action=this.value;">
       <option value=""></option>
-      <option value="/api/v1/logs-web">Logs</option>
-      <option value="/api/v1/devices-web">Devices</option>
-      <option value="/api/v1/teams-web">Teams</option>
-      <option value="/api/v1/pcs-web">PCs</option>
+      <option value="/logs-web">Logs</option>
+      <option value="/devices-web">Devices</option>
+      <option value="/teams-web">Teams</option>
+      <option value="/pcs-web">PCs</option>
   </select>
   <input type="submit" value="OK">
 </form>
-<form action="/api/v1/logs-web" method="post">
+<form action="/logs-web" method="post">
   <label for="pc">PC:</label>
   <input id="pc" name="pc" type="text" list="pcs" value="" placeholder="all">
     <datalist id="pcs">