commit 4babde6cd991d06de409029153111de7a09bfc36
Author: Matej Zeman <zeman339@gmail.com>
Date:   Tue Apr 26 23:47:21 2022 +0200

    re #9577 Api code documentation.

diff --git a/server/sql_app/api/devices_web.py b/server/sql_app/api/devices_web.py
index 76b3cb8..2ab3dc0 100644
--- a/server/sql_app/api/devices_web.py
+++ b/server/sql_app/api/devices_web.py
@@ -13,7 +13,7 @@ from fastapi.templating import Jinja2Templates
 models.Base.metadata.create_all(bind=engine)
 
 # Path to html templates used in this file
-templates = Jinja2Templates(directory="../templates/devices")
+templates = Jinja2Templates(directory="templates/devices")
 
 # prefix used for all endpoints in this file
 device_web = APIRouter(prefix="/api/v1")
diff --git a/server/sql_app/api/licenses_web.py b/server/sql_app/api/licenses_web.py
index bfa9362..4316dd6 100644
--- a/server/sql_app/api/licenses_web.py
+++ b/server/sql_app/api/licenses_web.py
@@ -13,8 +13,8 @@ from fastapi.templating import Jinja2Templates
 models.Base.metadata.create_all(bind=engine)
 
 # Path to html templates used in this file
-templates = Jinja2Templates(directory="../templates/licenses")
-device_templates = Jinja2Templates(directory="../templates/devices")
+templates = Jinja2Templates(directory="templates/licenses")
+device_templates = Jinja2Templates(directory="templates/devices")
 
 # prefix used for all endpoints in this file
 licenses_web = APIRouter(prefix="/api/v1")
diff --git a/server/sql_app/api/pcs_web.py b/server/sql_app/api/pcs_web.py
index 000e771..a5243fd 100644
--- a/server/sql_app/api/pcs_web.py
+++ b/server/sql_app/api/pcs_web.py
@@ -11,7 +11,7 @@ from fastapi.templating import Jinja2Templates
 models.Base.metadata.create_all(bind=engine)
 
 # Path to html templates used in this file
-templates = Jinja2Templates(directory="../templates/pcs")
+templates = Jinja2Templates(directory="templates/pcs")
 
 # prefix used for all endpoints in this file
 pcs_web = APIRouter(prefix="/api/v1")
diff --git a/server/sql_app/api/teams_web.py b/server/sql_app/api/teams_web.py
index a7423b7..d3b23d0 100644
--- a/server/sql_app/api/teams_web.py
+++ b/server/sql_app/api/teams_web.py
@@ -12,7 +12,7 @@ from fastapi.templating import Jinja2Templates
 models.Base.metadata.create_all(bind=engine)
 
 # Path to html templates used in this file
-templates = Jinja2Templates(directory="../templates/teams")
+templates = Jinja2Templates(directory="templates/teams")
 
 # prefix used for all endpoints in this file
 teams_web = APIRouter(prefix="/api/v1")
diff --git a/server/sql_app/api/usb_logs_web.py b/server/sql_app/api/usb_logs_web.py
index 72bb220..b745384 100644
--- a/server/sql_app/api/usb_logs_web.py
+++ b/server/sql_app/api/usb_logs_web.py
@@ -12,7 +12,7 @@ from fastapi.templating import Jinja2Templates
 models.Base.metadata.create_all(bind=engine)
 
 # Path to html templates used in this file
-templates = Jinja2Templates(directory="../templates/usb-logs")
+templates = Jinja2Templates(directory="templates/usb-logs")
 
 # prefix used for all endpoints in this file
 usblogs_web = APIRouter(prefix="/api/v1")
diff --git a/server/sql_app/database.py b/server/sql_app/database.py
index 842e1ac..5269b28 100644
--- a/server/sql_app/database.py
+++ b/server/sql_app/database.py
@@ -3,7 +3,7 @@ from sqlalchemy.ext.declarative import declarative_base
 from sqlalchemy.orm import sessionmaker
 
 
-
+'''
 # used mainly for testing purposes. Creates local sqllite data file
 SQLALCHEMY_DATABASE_URL = "sqlite:///./sql_app.db"
 engine = create_engine(
@@ -18,7 +18,7 @@ SQLALCHEMY_DATABASE_URL = "postgresql://postgres:postgres@10.5.0.5:5432/usb_api_
 engine = create_engine(
     SQLALCHEMY_DATABASE_URL
 )
-'''
+
 # Session maker for data transmissions
 SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)
 
diff --git a/server/sql_app/main.py b/server/sql_app/main.py
index f55ec4f..d871b3e 100644
--- a/server/sql_app/main.py
+++ b/server/sql_app/main.py
@@ -28,7 +28,7 @@ app.include_router(pcs_web)
 app.include_router(teams_web)
 app.include_router(usblogs_web)
 
-
+'''
 if __name__ == "__main__":
     uvicorn.run(app, host="192.168.0.22", port=8000)
-
+'''